Đến nội dung


Hình ảnh
- - - - -

[YÊU CẦU] Viết lisp chọn lenght ,chọn dimension xuất ra text


  • Please log in to reply
13 replies to this topic

#1 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 08 October 2013 - 03:40 PM

Rất mong anh chị giúp e tạo cái lisp chọn lenght chọn dimension xuất ra text . Em giải thích nội dung yêu cầu như sau :

Hiên tại trên bản vẽ em có một số đoạn lenght và kích thước đã bị edit bây giờ em muốn anh chị tạo dùm em lisp lấy thông số lenght và dimension cho ra giá trị text và để biết rõ ràng hơn rất mong anh chị coi file đính kèm .http://www.cadviet.c...eo_yêu_cu08.dwg


  • 0

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 08 October 2013 - 09:44 PM

Rất mong anh chị giúp e tạo cái lisp chọn lenght chọn dimension xuất ra text . Em giải thích nội dung yêu cầu như sau :

Hiên tại trên bản vẽ em có một số đoạn lenght và kích thước đã bị edit bây giờ em muốn anh chị tạo dùm em lisp lấy thông số lenght và dimension cho ra giá trị text và để biết rõ ràng hơn rất mong anh chị coi file đính kèm .http://www.cadviet.c...eo_yêu_cu08.dwg

Hề hề hề,

Chơi khó nhau làm chi vậy chủ thớt ơi. Gửi bản vẽ chính mà mấy cái bản vẽ phụ trợ cho nó không gửi thì cũng bằng không bởi mọi người chắc không có nhiều người biết mấy cái bản vẽ phụ trợ chủ thớt cất ở mô mà mò mẫm cả.

Bởi thế chả mấy người hiểu nổi cái chủ thớt cần là cái chi mà giúp cả. Thôi thì ráng đợi vậy.....


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 09 October 2013 - 08:36 AM

Hề hề hề,

Chơi khó nhau làm chi vậy chủ thớt ơi. Gửi bản vẽ chính mà mấy cái bản vẽ phụ trợ cho nó không gửi thì cũng bằng không bởi mọi người chắc không có nhiều người biết mấy cái bản vẽ phụ trợ chủ thớt cất ở mô mà mò mẫm cả.

Bởi thế chả mấy người hiểu nổi cái chủ thớt cần là cái chi mà giúp cả. Thôi thì ráng đợi vậy.....

Tại phạm thanh bình chưa coi kỹ thôi chứ mình gởi đầy đủ mà , mình giải thích thêm những yêu cầu trong bản vẽ nè !

thứ nhất là trong khung bản vẽ mình có 2 hình . Hình 1 mình có ghi chú (bản vẽ ban đầu) . Hình 2 là hình bản vẽ sau khi dùng lisp và mình ghi chú là (sau khi dùng lisp) và bạn để ý hình sau khi dùng lisp có các chuỗi màu trắng ghi 5d12@200,L=30407 ,14d12@200L=7191 ....và những chuỗi đó ta dùng lisp mới có ! Cảm ơn thanh bình đã quan tâm , rất mong sự giúp đỡ của bạn

http://www.cadviet.c..._yêu_cu08_1.dwg


  • 0

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 09 October 2013 - 04:10 PM

Tại phạm thanh bình chưa coi kỹ thôi chứ mình gởi đầy đủ mà , mình giải thích thêm những yêu cầu trong bản vẽ nè !

thứ nhất là trong khung bản vẽ mình có 2 hình . Hình 1 mình có ghi chú (bản vẽ ban đầu) . Hình 2 là hình bản vẽ sau khi dùng lisp và mình ghi chú là (sau khi dùng lisp) và bạn để ý hình sau khi dùng lisp có các chuỗi màu trắng ghi 5d12@200,L=30407 ,14d12@200L=7191 ....và những chuỗi đó ta dùng lisp mới có ! Cảm ơn thanh bình đã quan tâm , rất mong sự giúp đỡ của bạn

http://www.cadviet.c..._yêu_cu08_1.dwg

Hề hề hề,

Có thể cái đó là đủ cho chủ thớt bởi chủ thớt quá hiểu điều chủ thớt cần.

Còn với thằng học mót như tui thì không chỉ tận tay day tận mặt nó sẽ chả hiểu chủ thớt muốn gì???

Này nhé:

1/- lenght là thằng nào??? dimesion là thằng nào??? và ra cái thằng Text thì mặt mũi nó ra sao????

2/- tại sao lại phải ấn tab nếu muốn xoay ??? Dùng cách khác không được hay sao???

tương tự tại sao lại phải nhấn space trong khi có nhiều cách khác để tiếp tục???

3/- Chọn lần một và chọn lần hai là chọn cái gì và tại sao lại phải như vậy nhể???

Số lượng thanh được tính như vậy thì cái chiều dài và khoảng cách ấy được xác định bằng cách nào??? Dựa vào cái gì để biết là mình chọn đúng hay chọn sai???

Chủ thớt cần hiểu rằng việc của chủ thớt không phải ai cũng biết và cũng giỏi như chủ thớt tới mức chỉ cần nói ít mà đả hiểu được nhiều. Trái lại chủ thớt phải hiểu rằng mọi người đối với công việc của chủ thớt đều là những kẻ ngu lâu đầu đất hết. Và vì thế chủ thớt cần phải dạy bảo cho kỹ thì họ mới có thể hiểu và làm đúng ý chủ thớt được. Bằng không mọi thứ sẽ là vô nghĩa thôi chủ thớt ạ.

Hy vọng chủ thớt sẽ chỉ bảo kỹ hơn.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 09 October 2013 - 08:23 PM

Hề hề hề,

Có thể cái đó là đủ cho chủ thớt bởi chủ thớt quá hiểu điều chủ thớt cần.

Còn với thằng học mót như tui thì không chỉ tận tay day tận mặt nó sẽ chả hiểu chủ thớt muốn gì???

Này nhé:

1/- lenght là thằng nào??? dimesion là thằng nào??? và ra cái thằng Text thì mặt mũi nó ra sao????

2/- tại sao lại phải ấn tab nếu muốn xoay ??? Dùng cách khác không được hay sao???

tương tự tại sao lại phải nhấn space trong khi có nhiều cách khác để tiếp tục???

3/- Chọn lần một và chọn lần hai là chọn cái gì và tại sao lại phải như vậy nhể???

Số lượng thanh được tính như vậy thì cái chiều dài và khoảng cách ấy được xác định bằng cách nào??? Dựa vào cái gì để biết là mình chọn đúng hay chọn sai???

Chủ thớt cần hiểu rằng việc của chủ thớt không phải ai cũng biết và cũng giỏi như chủ thớt tới mức chỉ cần nói ít mà đả hiểu được nhiều. Trái lại chủ thớt phải hiểu rằng mọi người đối với công việc của chủ thớt đều là những kẻ ngu lâu đầu đất hết. Và vì thế chủ thớt cần phải dạy bảo cho kỹ thì họ mới có thể hiểu và làm đúng ý chủ thớt được. Bằng không mọi thứ sẽ là vô nghĩa thôi chủ thớt ạ.

Hy vọng chủ thớt sẽ chỉ bảo kỹ hơn.

hehehehe

Trời mình cảm ơn bạn không hết lấy đâu ra chê bai bạn , cho mình xin lỗi bạn có những lời nào không phải rất mong bạn bỏ qua cho mình nhe!

Việc nút TAB hay nút Space đó là ý tưởng riêng mình , mình nghi nếu dùng được 2 nút đó thì thuận tiện trong thao tác vì minh k biết về thuật toán lập trình nên đôi khi đưa ra ý tưởng điên  rồ và mong bạn thấy cái nào không hợp lý thì hiệu chỉnh dùm mình . Một lần nữa mình cảm ơn bác bình nhe !

có lời nào không phải bác bình bỏ qua cho mình nhe ! Rất mong sự giúp đỡ của bạn . Cảm ơn bạn đã nhắc nhỡ minh ! Mình gởi lại file và ghi chú thêm vài cái nữa .Mong bạn coi giúphttp://www.cadviet.c..._yêu_cu08_1.dwg


  • 0

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 October 2013 - 12:40 PM

hehehehe

Trời mình cảm ơn bạn không hết lấy đâu ra chê bai bạn , cho mình xin lỗi bạn có những lời nào không phải rất mong bạn bỏ qua cho mình nhe!

Việc nút TAB hay nút Space đó là ý tưởng riêng mình , mình nghi nếu dùng được 2 nút đó thì thuận tiện trong thao tác vì minh k biết về thuật toán lập trình nên đôi khi đưa ra ý tưởng điên  rồ và mong bạn thấy cái nào không hợp lý thì hiệu chỉnh dùm mình . Một lần nữa mình cảm ơn bác bình nhe !

có lời nào không phải bác bình bỏ qua cho mình nhe ! Rất mong sự giúp đỡ của bạn . Cảm ơn bạn đã nhắc nhỡ minh ! Mình gởi lại file và ghi chú thêm vài cái nữa .Mong bạn coi giúphttp://www.cadviet.c..._yêu_cu08_1.dwg

Hề hề hề,

Tốn chừng đó giấy mực và công sức chỉ để hiểu (có nhẽ gần đúng) cái yêu cầu của bạn và làm thử được cái ni. Hy vọng nó sẽ đáp ứng được phần nào yêu cầu đưa ra. ne61u có gì chưa đúng, mong bạn giải thích rõ hơn để mình có thể sửa. Bạn cũng nên rút kinh nghiệm về cách trình bày một vấn đề sao cho những kẻ ngoại đạo và dốt nát như mình hoặc hơn mình có thể hiểu được yêu cầu của bạn. Như vậy mới có thể trở thành cán bộ kỹ thuật có năng lực được bạn ạ.

http://www.cadviet.c..._ghichuthep.lsp


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 10 October 2013 - 01:31 PM

Hề hề hề,

Tốn chừng đó giấy mực và công sức chỉ để hiểu (có nhẽ gần đúng) cái yêu cầu của bạn và làm thử được cái ni. Hy vọng nó sẽ đáp ứng được phần nào yêu cầu đưa ra. ne61u có gì chưa đúng, mong bạn giải thích rõ hơn để mình có thể sửa. Bạn cũng nên rút kinh nghiệm về cách trình bày một vấn đề sao cho những kẻ ngoại đạo và dốt nát như mình hoặc hơn mình có thể hiểu được yêu cầu của bạn. Như vậy mới có thể trở thành cán bộ kỹ thuật có năng lực được bạn ạ.

http://www.cadviet.c..._ghichuthep.lsp

He hehe 

Cảm ơn thanh bình đã giúp mình lisp trên và  cách làm của bạn hay hơn ý của mình. Bạn giúp mình chỉnh chèn text bắt điểm , điểm đầu , hiện tại nó đang bắt điểm center  ! Mình xin rút kinh nghiệm về cách trình bày rõ ràng hơn . phải nói Người dốt nát là mình thì đúng hơn bạn càng nói mình càng cảm thấy có lỗi với bạn và bạn chưa tha thứ cho mình. Ai đôi khi cũng sai , biết sai nhận lỗi sữa lổi mới là quan trọng .Rất mong nhiều sự gốp ý của bạn


  • 0

#8 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 October 2013 - 01:53 PM

He hehe 

Cảm ơn thanh bình đã giúp mình lisp trên và  cách làm của bạn hay hơn ý của mình. Bạn giúp mình chỉnh chèn text bắt điểm , điểm đầu , hiện tại nó đang bắt điểm center  ! Mình xin rút kinh nghiệm về cách trình bày rõ ràng hơn . phải nói Người dốt nát là mình thì đúng hơn bạn càng nói mình càng cảm thấy có lỗi với bạn và bạn chưa tha thứ cho mình. Ai đôi khi cũng sai , biết sai nhận lỗi sữa lổi mới là quan trọng .Rất mong nhiều sự gốp ý của bạn

Hề hề hề,

Để thay đổi bắt điểm của text, bạn hãy sửa (cons 72 1) và (cons 73 2) thành (cons 72 0) và (cons 73 0) là OK.

Chả phải mình không biết tha thứ như bạn nghĩ đâu, bởi những điều mình nói là hoàn toàn rất thật. Chả ai có thể giỏi tất cả mọi thứ được cả nên có thể rất giỏi về mặt này nhưng lại là rất dở về mặt khác. Chẳng hạn bạn có thể rất giỏi về chuyên môn của bạn nhưng quả thật là chưa giỏi trong việc trình bày một vấn đề sao cho người khác dễ hiểu và tiếp thu được hay là bạn chưa giỏi về viết lisp. Còn như mình có thể giỏi hơn bạn một chút về việc viết lisp hay về cái chuyên môn cơ khí của mình nhưng lại cực dốt về cái chuyên môn của bạn cũng như cực dốt trong việc đọc và hiểu được ý của người khác. Do vậy mà mình mới phải vào diễn đàn như thế này để đi mót những thứ còn dốt. Việc mình giúp bạn cũng chính là tự giúp mình để có thể hiểu biết nhiều hơn. âu cũng là một thứ tham lam chứ chả phải tốt đẹp gì.

Bạn cũng chả cần phải áy náy về những điều mình nói làm chi mà chỉ cần bạn tìm được những gì hợp lý với bạn ở trong đó và cố gắng thực hiện những điều hợp lý ấy thôi mà.

Chúc bạn vui.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#9 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 10 October 2013 - 02:31 PM

Hề hề hề,

Để thay đổi bắt điểm của text, bạn hãy sửa (cons 72 1) và (cons 73 2) thành (cons 72 0) và (cons 73 0) là OK.

Chả phải mình không biết tha thứ như bạn nghĩ đâu, bởi những điều mình nói là hoàn toàn rất thật. Chả ai có thể giỏi tất cả mọi thứ được cả nên có thể rất giỏi về mặt này nhưng lại là rất dở về mặt khác. Chẳng hạn bạn có thể rất giỏi về chuyên môn của bạn nhưng quả thật là chưa giỏi trong việc trình bày một vấn đề sao cho người khác dễ hiểu và tiếp thu được hay là bạn chưa giỏi về viết lisp. Còn như mình có thể giỏi hơn bạn một chút về việc viết lisp hay về cái chuyên môn cơ khí của mình nhưng lại cực dốt về cái chuyên môn của bạn cũng như cực dốt trong việc đọc và hiểu được ý của người khác. Do vậy mà mình mới phải vào diễn đàn như thế này để đi mót những thứ còn dốt. Việc mình giúp bạn cũng chính là tự giúp mình để có thể hiểu biết nhiều hơn. âu cũng là một thứ tham lam chứ chả phải tốt đẹp gì.

Bạn cũng chả cần phải áy náy về những điều mình nói làm chi mà chỉ cần bạn tìm được những gì hợp lý với bạn ở trong đó và cố gắng thực hiện những điều hợp lý ấy thôi mà.

Chúc bạn vui.

hehehe 

Xin lỗi bạn VD hom qua mình gởi cho bạn có chút nhầm bạn chỉnh sửa dùm mình với . Tình hình là này bạn sửa dùm mình lấy chiều dài dimension chia cho khoản cách cho ra số lượng  , lisp hiện tại của bạn làm là lấy chiều dài lenght chia khoản cách cho ra số lượng .Mình gởi lại VD mong bạn coi giúp . Rất mong sự hồi âm của bạn 

Chúc bạn một ngày vui vẻhttp://www.cadviet.c..._yêu_cu08_1.dwg


  • 0

#10 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 October 2013 - 02:34 PM

hehehe 

Xin lỗi bạn VD hom qua mình gởi cho bạn có chút nhầm bạn chỉnh sửa dùm mình với . Tình hình là này bạn sửa dùm mình lấy chiều dài dimension chia cho khoản cách cho ra số lượng  , lisp hiện tại của bạn làm là lấy chiều dài lenght chia khoản cách cho ra số lượng .Mình gởi lại VD mong bạn coi giúp . Rất mong sự hồi âm của bạn 

Chúc bạn một ngày vui vẻhttp://www.cadviet.c..._yêu_cu08_1.dwg

Hề hề hề,

Vậy thì chọn thằng length để làm chi vậy??? Cho vui à????


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#11 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 October 2013 - 02:46 PM

hehehe 

Xin lỗi bạn VD hom qua mình gởi cho bạn có chút nhầm bạn chỉnh sửa dùm mình với . Tình hình là này bạn sửa dùm mình lấy chiều dài dimension chia cho khoản cách cho ra số lượng  , lisp hiện tại của bạn làm là lấy chiều dài lenght chia khoản cách cho ra số lượng .Mình gởi lại VD mong bạn coi giúp . Rất mong sự hồi âm của bạn 

Chúc bạn một ngày vui vẻhttp://www.cadviet.c..._yêu_cu08_1.dwg

Hề hề hề,

Nếu muốn vậy hãy thay thế:

len (vlax-curve-getdistatpoint e1 (vlax-curve-getendpoint e1))

bằng:

len (cdr (assoc 42 (entget e2)))

 

Hề hề hề,

Hiểu rồi, thằng length là để lấy kích thước L.

Vậy thì bạn cần sửa như sau

1/- Sửa :

(setq len (vlax-curve-getdistatpoint e1 (vlax-curve-getendpoint e1))

thành:

(setq len1 (vlax-curve-getdistatpoint e1 (vlax-curve-getendpoint e1))

2/- Thêm

len (cdr (assoc 42 (entget e2)))

vào ngay dưới dòng code trên

3/- Sửa: 

(strcase (substr t1 1 1) T) (substr t1 2) " @" t2 ",L=" (rtos len 2 0))

thành:

(strcase (substr t1 1 1) T) (substr t1 2) " @" t2 ",L=" (rtos len1 2 0))

 

 

Sorry vì không hiểu cái bạn cần nên .....


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#12 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 10 October 2013 - 02:52 PM

Hề hề hề,

Vậy thì chọn thằng length để làm chi vậy??? Cho vui à????

Hehe 

Không cho vui đâu chọn thằng lenght nó cho chiều dài thanh thép còn chọn thằng dimension nó cho ta số lượng thanh thép , đó là số cây thép bố trí chạy dọc đoạn dimension có khoản cách a được ed trên thanh dimension. Mình không đưa VD bản vẽ dầm vào sợ bạn nhìn bị rối nên gởi vd đơn giãn bạn dể hiểu hơn , bạn thì bên cơ khí còn mình thì bên xây dựng đôi khi nhìn bản vẽ hiểu khác nhau 1 chút hêhheheheh


  • 0

#13 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 10 October 2013 - 02:54 PM

Hề hề hề,

Nếu muốn vậy hãy thay thế:

len (vlax-curve-getdistatpoint e1 (vlax-curve-getendpoint e1)) bằng:

len (cdr (assoc 42 (entget e2)))

Cảm Ơn bạn

Sao mình chỉnh được cái nay thì lại mất cái kia bây giờ số lượng nó ra đúng chiều nó ra sai . chiều dài là chiều dài đoạn lenght L= lenght(tức là chiều dài thanh thép) , Lisp hiện tại cho ra L = dimension(chiều dài của thanh kích thước) , Làm phiền bạn hoài ngại quá


  • 0

#14 vanduynguyen

vanduynguyen

    biết vẽ polygon

  • Members
  • PipPip
  • 70 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 10 October 2013 - 03:23 PM

Hề hề hề,

Nếu muốn vậy hãy thay thế:

len (vlax-curve-getdistatpoint e1 (vlax-curve-getendpoint e1))

bằng:

len (cdr (assoc 42 (entget e2)))

 

Hề hề hề,

Hiểu rồi, thằng length là để lấy kích thước L.

Vậy thì bạn cần sửa như sau

1/- Sửa :

(setq len (vlax-curve-getdistatpoint e1 (vlax-curve-getendpoint e1))

thành:

(setq len1 (vlax-curve-getdistatpoint e1 (vlax-curve-getendpoint e1))

2/- Thêm

len (cdr (assoc 42 (entget e2)))

vào ngay dưới dòng code trên

3/- Sửa: 

(strcase (substr t1 1 1) T) (substr t1 2) " @" t2 ",L=" (rtos len 2 0))

thành:

(strcase (substr t1 1 1) T) (substr t1 2) " @" t2 ",L=" (rtos len1 2 0))

 

 

Sorry vì không hiểu cái bạn cần nên .....

Được rồi bạn ơi cảm ơn bạn nhiều 


  • 0